Skip to main content
GET /api/v1/funding/history

Query Parameters

FieldTypeNeedDescriptionExample
”account”stringrequiredUser’s wallet address42trU9A5…
“limit”integeroptionalMaximum number of records to return default system defined limit100
”cursor”stringoptionalCursor pagination to access records. Default to none1115hVka
/api/v1/funding/history?account=42trU9A5...&limit=20&cursor=11115hVka

Response

  • Status 200: Successfully retrieved funding history
  {
  "success": true,
  "data": [
    {
      "history_id": 2287920,
      "symbol": "PUMP",
      "side": "ask",
      "amount": "39033804",
      "payout": "2.617479",
      "rate": "0.0000125",
      "created_at": 1759222804122
    },
    ...
  ],
  "next_cursor": "11114Lz77",
  "has_more": true
}
FieldTypeDescription
”history_id”integerHistory id of trade
”symbol”stringTrading pair symbol
”side”stringIf the position resulting in the funding payment was long or short (bid or ask)
“amount”decimal stringAmount (in token denomination) of the position that resulted in the funding payment
”payout”decimal stringFunding paid (in USD)
“rate”decimal stringFunding rate that was used to calculate the payout
”created_at”integerTimestamp in milliseconds when the funding payment was logged
’next_cursor’stringNext cursor for pagination
’has_more’booleanTrue if there exists a ‘next_cursor’
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/funding/history?account=42trU9A5...&limit=20&cursor=11115hVka",
    headers={"Accept": "*/*"},
)

data = response.json()